LegacyGrailsDomainClass (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.core.legacy

## [Groovy] Class LegacyGrailsDomainClass

- org.grails.core.legacy.LegacyGrailsDomainClass

- All Implemented Interfaces and Traits:
    GrailsDomainClass

      @groovy.transform.CompileStatic
      class LegacyGrailsDomainClass
      extends java.lang.Object

  Legacy bridge to older Grails 2.3.x API for backwards compatibility

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsDomainClass` | `newDomainClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LegacyGrailsDomainClass (GrailsDomainClass domainClass)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GrailsApplication` | `getApplication()`
    `java.util.Map` | `getAssociationMap()`
    `java.lang.Class` | `getClazz()`
    `java.util.Map` | `getConstrainedProperties()`
    `java.lang.String` | `getFieldName(java.lang.String propertyName)`
    `java.lang.String` | `getFullName()`
    `GrailsApplication` | `getGrailsApplication()`
    `GrailsDomainClassProperty` | `getIdentifier()`
    `java.lang.String` | `getLogicalPropertyName()`
    `java.util.Map` | `getMappedBy()`
    `java.lang.String` | `getMappingStrategy()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNaturalName()`
    `java.lang.String` | `getPackageName()`
    `GrailsDomainClassProperty[]` | `getPersistantProperties()`
    `GrailsDomainClassProperty[]` | `getPersistentProperties()`
    `GrailsDomainClassProperty` | `getPersistentProperty(java.lang.String name)`
    `java.lang.String` | `getPluginName()`
    `GrailsDomainClassProperty[]` | `getProperties()`
    `GrailsDomainClassProperty` | `getPropertyByName(java.lang.String name)`
    `java.lang.String` | `getPropertyName()`
    `java.lang.Object` | `getPropertyValue(java.lang.String name)`
    `T` | `getPropertyValue(java.lang.String name, java.lang.Class<T> type)`
    `org.springframework.beans.BeanWrapper` | `getReference()`
    `java.lang.Object` | `getReferenceInstance()`
    `java.lang.Class` | `getRelatedClassType(java.lang.String propertyName)`
    `java.lang.String` | `getShortName()`
    `java.util.Set<GrailsDomainClass>` | `getSubClasses()`
    `org.springframework.validation.Validator` | `getValidator()`
    `GrailsDomainClassProperty` | `getVersion()`
    `boolean` | `hasPersistentProperty(java.lang.String propertyName)`
    `boolean` | `hasProperty(java.lang.String name)`
    `boolean` | `hasSubClasses()`
    `boolean` | `isAbstract()`
    `boolean` | `isBidirectional(java.lang.String propertyName)`
    `boolean` | `isManyToOne(java.lang.String propertyName)`
    `boolean` | `isOneToMany(java.lang.String propertyName)`
    `boolean` | `isOwningClass(java.lang.Class domainClass)`
    `boolean` | `isRoot()`
    `java.lang.Object` | `newInstance()`
    `void` | `refreshConstraints()`
    `void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `void` | `setMappingStrategy(java.lang.String strategy)`
    `void` | `setValidator(org.springframework.validation.Validator validator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsDomainClass newDomainClass

  - ### Constructor Detail

    - #### LegacyGrailsDomainClass(GrailsDomainClass domainClass)

  - ### Method Detail

    - #### @java.lang.Override GrailsApplication getApplication()

    - #### @java.lang.Override java.util.Map getAssociationMap()

    - #### @java.lang.Override java.lang.Class getClazz()

    - #### @java.lang.Override java.util.Map getConstrainedProperties()

    - #### @java.lang.Override java.lang.String getFieldName(java.lang.String propertyName)

    - #### @java.lang.Override java.lang.String getFullName()

    - #### @java.lang.Override GrailsApplication getGrailsApplication()

    - #### @java.lang.Override GrailsDomainClassProperty getIdentifier()

    - #### @java.lang.Override java.lang.String getLogicalPropertyName()

    - #### @java.lang.Override java.util.Map getMappedBy()

    - #### @java.lang.Override java.lang.String getMappingStrategy()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override java.lang.String getNaturalName()

    - #### @java.lang.Override java.lang.String getPackageName()

    - #### @java.lang.Override GrailsDomainClassProperty[] getPersistantProperties()

    - #### @java.lang.Override GrailsDomainClassProperty[] getPersistentProperties()

    - #### @java.lang.Override GrailsDomainClassProperty getPersistentProperty(java.lang.String name)

    - #### @java.lang.Override java.lang.String getPluginName()

    - #### @java.lang.Override GrailsDomainClassProperty[] getProperties()

    - #### @java.lang.Override GrailsDomainClassProperty getPropertyByName(java.lang.String name)

    - #### @java.lang.Override java.lang.String getPropertyName()

    - #### @java.lang.Override java.lang.Object getPropertyValue(java.lang.String name)

    - #### @java.lang.Override T getPropertyValue(java.lang.String name, java.lang.Class<T> type)

    - #### @java.lang.Override org.springframework.beans.BeanWrapper getReference()

    - #### @java.lang.Override java.lang.Object getReferenceInstance()

    - #### @java.lang.Override java.lang.Class getRelatedClassType(java.lang.String propertyName)

    - #### @java.lang.Override java.lang.String getShortName()

    - #### @java.lang.Override java.util.Set<GrailsDomainClass> getSubClasses()

    - #### @java.lang.Override org.springframework.validation.Validator getValidator()

    - #### @java.lang.Override GrailsDomainClassProperty getVersion()

    - #### @java.lang.Override boolean hasPersistentProperty(java.lang.String propertyName)

    - #### @java.lang.Override boolean hasProperty(java.lang.String name)

    - #### @java.lang.Override boolean hasSubClasses()

    - #### @java.lang.Override boolean isAbstract()

    - #### @java.lang.Override boolean isBidirectional(java.lang.String propertyName)

    - #### @java.lang.Override boolean isManyToOne(java.lang.String propertyName)

    - #### @java.lang.Override boolean isOneToMany(java.lang.String propertyName)

    - #### @java.lang.Override boolean isOwningClass(java.lang.Class domainClass)

    - #### @java.lang.Override boolean isRoot()

    - #### @java.lang.Override java.lang.Object newInstance()

    - #### @java.lang.Override void refreshConstraints()

    - #### @java.lang.Override void setGrailsApplication(GrailsApplication grailsApplication)

    - #### @java.lang.Override void setMappingStrategy(java.lang.String strategy)

    - #### @java.lang.Override void setValidator(org.springframework.validation.Validator validator)